package com.jiuqi.db;

import java.sql.SQLWarning;
import java.sql.SQLException;
import java.sql.ResultSet;
import java.sql.Connection;
import java.sql.Statement;

public class DBStatement implements Statement
{
    private Statement stmt;
    private Connection conn;
    
    public DBStatement(final Statement aStmt, final Connection aConn) {
        this.stmt = aStmt;
        this.conn = aConn;
        DBTrace.createConnection(this);
    }
    
    public ResultSet executeQuery(final String string) throws SQLException {
        final ResultSet rs = this.stmt.executeQuery(string);
        return new DBResultSet(this, rs);
    }
    
    public int executeUpdate(final String string) throws SQLException {
        return this.stmt.executeUpdate(string);
    }
    
    public void close() throws SQLException {
        this.stmt.close();
        DBTrace.closeConnection(this);
    }
    
    public int getMaxFieldSize() throws SQLException {
        return this.stmt.getMaxFieldSize();
    }
    
    public void setMaxFieldSize(final int int0) throws SQLException {
        this.stmt.setMaxFieldSize(int0);
    }
    
    public int getMaxRows() throws SQLException {
        return this.stmt.getMaxRows();
    }
    
    public void setMaxRows(final int int0) throws SQLException {
        this.stmt.setMaxRows(int0);
    }
    
    public void setEscapeProcessing(final boolean boolean0) throws SQLException {
        this.stmt.setEscapeProcessing(boolean0);
    }
    
    public int getQueryTimeout() throws SQLException {
        return this.stmt.getQueryTimeout();
    }
    
    public void setQueryTimeout(final int int0) throws SQLException {
        this.stmt.setQueryTimeout(int0);
    }
    
    public void cancel() throws SQLException {
        this.stmt.cancel();
    }
    
    public SQLWarning getWarnings() throws SQLException {
        return this.stmt.getWarnings();
    }
    
    public void clearWarnings() throws SQLException {
        this.stmt.clearWarnings();
    }
    
    public void setCursorName(final String string) throws SQLException {
        this.stmt.setCursorName(string);
    }
    
    public boolean execute(final String string) throws SQLException {
        return this.stmt.execute(string);
    }
    
    public ResultSet getResultSet() throws SQLException {
        return this.stmt.getResultSet();
    }
    
    public int getUpdateCount() throws SQLException {
        return this.stmt.getUpdateCount();
    }
    
    public boolean getMoreResults() throws SQLException {
        return this.stmt.getMoreResults();
    }
    
    public void setFetchDirection(final int int0) throws SQLException {
        this.stmt.setFetchDirection(int0);
    }
    
    public int getFetchDirection() throws SQLException {
        return this.stmt.getFetchDirection();
    }
    
    public void setFetchSize(final int int0) throws SQLException {
        this.stmt.setFetchSize(int0);
    }
    
    public int getFetchSize() throws SQLException {
        return this.stmt.getFetchSize();
    }
    
    public int getResultSetConcurrency() throws SQLException {
        return this.stmt.getResultSetConcurrency();
    }
    
    public int getResultSetType() throws SQLException {
        return this.stmt.getResultSetType();
    }
    
    public void addBatch(final String string) throws SQLException {
        this.stmt.addBatch(string);
    }
    
    public void clearBatch() throws SQLException {
        this.stmt.clearBatch();
    }
    
    public int[] executeBatch() throws SQLException {
        return this.stmt.executeBatch();
    }
    
    public Connection getConnection() throws SQLException {
        return this.conn;
    }
    
    public boolean getMoreResults(final int int0) throws SQLException {
        return this.stmt.getMoreResults(int0);
    }
    
    public ResultSet getGeneratedKeys() throws SQLException {
        return this.stmt.getGeneratedKeys();
    }
    
    public int executeUpdate(final String sql, final int autoGeneratedKeys) throws SQLException {
        return this.stmt.executeUpdate(sql, autoGeneratedKeys);
    }
    
    public int executeUpdate(final String sql, final int[] columnIndexes) throws SQLException {
        return this.stmt.executeUpdate(sql, columnIndexes);
    }
    
    public int executeUpdate(final String sql, final String[] columnNames) throws SQLException {
        return this.stmt.executeUpdate(sql, columnNames);
    }
    
    public boolean execute(final String sql, final int autoGeneratedKeys) throws SQLException {
        return this.stmt.execute(sql, autoGeneratedKeys);
    }
    
    public boolean execute(final String sql, final int[] columnIndexes) throws SQLException {
        return this.stmt.execute(sql, columnIndexes);
    }
    
    public boolean execute(final String sql, final String[] columnNames) throws SQLException {
        return this.stmt.execute(sql, columnNames);
    }
    
    public int getResultSetHoldability() throws SQLException {
        return this.stmt.getResultSetHoldability();
    }
}
